tt_feature_enabled(library call)

NAME
tt_feature_enabled — determine if a particular feature has been enabled in this process

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_feature_enabled(
Tt_feature feature);

DESCRIPTION

The tt_feature_enabled function queries the ToolTalk service to see if the specified feature has previously been enabled. This allows a library that "wraps around" ToolTalk for sending and receiving messages to determine if multithreaded execution has been enabled by the main program, and to modify its behavior accordingly.

ARGUMENTS

feature
    Specifies the feature whose enabled status is to be checked.

RETURN VALUE

Upon completion, the tt_feature_enabled function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The feature has been enabled previously.

TT_WRN_NOT_ENABLED
    The feature has not yet been enabled

TT_ERR_UNIMP
    The version of the ToolTalk library linked with the calling code does not support the indicated feature.

APPLICATION USAGE

A library using ToolTalk could check to see if the calling application had previously turned on ToolTalk's multithreading feature with the following code:

Tt_status ttstat;
ttstat = tt_feature_enabled(TT_FEATURE_MULTITHREADED);
if (ttstat != TT_OK) {
  ttstat = tt_feature_required(TT_FEATURE_MULTITHREADING);
}

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_feature_required(3)